% This script models anisotropy of a sandy shale model
% One realization at the well location
clear; clc; close all
addpath('/net/server/homes/sep/myfusan/Report/149-Rockphy/Matlab/');
addpath('/net/server/homes/sep/myfusan/Research/RockPhy/Matlab/subroutine/');


%% define the key parameters
W200_exp = 1;
W400_exp = 1;
phi_c    = 0.55;
phi_d    = 0.05;

fid = fopen('/net/server/homes/sep/myfusan/Research/RockPhy/welllog/well2.vshale.H@','r','s');
vshale = fread(fid, inf,'*float');
vshale (vshale>1) = 1;
fid = fopen('/net/server/homes/sep/myfusan/Research/RockPhy/welllog/well2.phi.H@','r','s');
poro = fread(fid, inf,'*float');
poro(poro>phi_c) = phi_c;
fid = fopen('/net/server/homes/sep/myfusan/Research/RockPhy/welllog/well2.pillite.H@','r','s');
pillite = fread(fid, inf,'*float');

[epsilon, delta] = dem_sandyshale(vshale,poro,pillite,W200_exp,W400_exp,phi_c,phi_d);

%% write out the modeled anisotropy at the well location
n1=25786; o1=299.618; d1=0.1524;

fid = fopen('sandyshale.eps.H','w');
fprintf(fid,'n1=%d o1=%f d1=%f ',n1,o1,d1);
fprintf(fid,'label1=depth(m)\n');
fprintf(fid,'n2=1 o2=0 d2=1\n');
fprintf(fid,'n3=1 o3=0 d3=1\n');
fprintf(fid,'in=./sandyshale.eps.H@');
fclose(fid);

fid = fopen('sandyshale.eps.H@','w','s');
count = fwrite(fid, epsilon,'real*4','s');
fclose(fid);

fid = fopen('sandyshale.del.H','w');
fprintf(fid,'n1=%d o1=%f d1=%f ',n1,o1,d1);
fprintf(fid,'label1=depth(m)\n');
fprintf(fid,'n2=1 o2=0 d2=1\n');
fprintf(fid,'n3=1 o3=0 d3=1\n');
fprintf(fid,'in=./sandyshale.del.H@');
fclose(fid);

fid = fopen('sandyshale.del.H@','w','s');
count = fwrite(fid, delta,'real*4','s');
fclose(fid);

