clear;clc; close all
addpath('/net/server/homes/sep/myfusan/Report/149-Rockphy/Matlab/');

fid = fopen('/net/server/myfusan/rp149/rock/shallow_eps_well2.H@','r','s');
shalloweps = fread(fid, inf,'*float');

fid = fopen('/net/server/myfusan/rp149/rock/shallow_del_well2.H@','r','s');
shallowdel = fread(fid, inf,'*float');

fid = fopen('/net/server/myfusan/rp149/rock/middle_eps_well2.H@','r','s');
middleeps = fread(fid, inf,'*float');

fid = fopen('/net/server/myfusan/rp149/rock/middle_del_well2.H@','r','s');
middledel = fread(fid, inf,'*float');

fid = fopen('/net/server/myfusan/rp149/rock/deep_eps_well2.H@','r','s');
deepeps = fread(fid, inf,'*float');

fid = fopen('/net/server/myfusan/rp149/rock/deep_del_well2.H@','r','s');
deepdel = fread(fid, inf,'*float');

epsilon1 = [shalloweps; middleeps; deepeps];
delta1   = [shallowdel; middledel; deepdel];

% plot the pdf
deps = 0.01;
ddel = 0.01;
nbin1 = 0:deps:1.0;
nbin2 = 0:ddel:0.6;

epsilon1(delta1<0)=[];
delta1(delta1<0)=[];
delta1(epsilon1>1)=[];
epsilon1(epsilon1>1)=[];
[layer_pdf,layer_nbin1,layer_nbin2] = pdf2d([epsilon1(:),delta1(:)],nbin1,nbin2);
hf=figure;



% load sandyshale one
load sandyshale_random

epsilonall(deltaall<0)=[];
deltaall(deltaall<0)=[];
deltaall(epsilonall>1)=[];
epsilonall(epsilonall>1)=[];
[inclu_pdf,inclu_nbin1,inclu_nbin2] = pdf2d([epsilonall(:),deltaall(:)],nbin1,nbin2);


%% plot
subplot(2,2,1)
imagesc(nbin1,nbin2,-layer_pdf*1e4);
axis xy
xlabel('Epsilon')
ylabel('Delta')
colorbar
title('(a)')

subplot(2,2,2)
imagesc(nbin1,nbin2,-inclu_pdf*1e4);
axis xy
xlabel('Epsilon')
ylabel('Delta')
colorbar
title('(b)')

pdfall = layer_pdf + inclu_pdf;
subplot(2,2,3.5)
imagesc(nbin1,nbin2,-pdfall*1e4);
axis xy
xlabel('Epsilon')
ylabel('Delta')
colorbar
title('(c)')

print(hf,'-dpdf',['./Fig/combinepdf.pdf'])
