load post.mat
load prior.mat

i = 1;

deta=0.005;
dueta=0.005;
nbin1=0:deta:0.6;
nbin2=0:dueta:1;
%%
% for lamba = [0.:0.025:0.1 0.5 1]
for lamba = [0. 0.01 0.05 0.1]

shallow = lamba * shallow_pdf + data_shallow_pdf;
middle = lamba * middle_pdf + data_middle_pdf;
deep = lamba * deep_pdf + data_deep_pdf;

[shallow_i,shallow_j] = find(shallow==max(max(shallow)));
shallow_i = (shallow_i - 1)*deta;
shallow_j = (shallow_j - 1)*dueta;

[middle_i,middle_j] = find(middle==max(max(middle)));
middle_i = (middle_i - 1)*deta;
middle_j = (middle_j - 1)*dueta;

[deep_i,deep_j] = find(deep==max(max(deep)));
deep_i = (deep_i - 1)*deta;
deep_j = (deep_j - 1)*dueta;

% figure(1)
% subplot(1,3,1)
% scatter(shallow_j,shallow_i,5, 'o' ,'r','filled')
% hold on
% title('shallow  pdf')
% axis xy
% xlabel('\eta_\perp')
% ylabel('\eta')
% ylim([0 0.5])
% xlim([0 0.2])
% 
% subplot(1,3,2)
% scatter(middle_j,middle_i,5, 'o' ,'r','filled')
% hold on
% title('middle  pdf')
% axis xy
% xlabel('\eta_\perp')
% ylabel('\eta')
% ylim([0 0.5])
% xlim([0 0.2])
% 
% subplot(1,3,3)
% scatter(deep_j,deep_i,5, 'o' ,'r','filled')
% hold on
% title('deep  pdf')
% axis xy
% xlabel('\eta_\perp')
% ylabel('\eta')
% ylim([0 0.5])
% xlim([0 0.2])



hf = figure(i);
subplot(2,3,1)
imagesc(nbin2,nbin1,shallow);
hold on
scatter(shallow_j,shallow_i,5,'o','w','filled')
title('shallow  pdf')
title('(a)')
axis xy
xlabel('\eta_\perp')
ylabel('\eta')

subplot(2,3,2)
imagesc(nbin2,nbin1,middle)
hold on
scatter(middle_j,middle_i,5,'o','w','filled')
title('middle  pdf')
title('(b)')
axis xy
xlabel('\eta_\perp')
ylabel('\eta')

subplot(2,3,3)
imagesc(nbin2,nbin1,deep)
hold on
scatter(deep_j,deep_i,5,'o','w','filled')
title('deep  pdf')
title('(c)')
axis xy
xlabel('\eta_\perp')
ylabel('\eta')

subplot(2,3,4)
contour(nbin2,nbin1,shallow,20)
hold on
scatter(shallow_j,shallow_i,10,'o','k','filled')
ylim([0 0.6])
xlim([0 0.7])
title('Shallow  pdf')
title('(d)')
xlabel('\eta_\perp')
ylabel('\eta')


subplot(2,3,5)
contour(nbin2,nbin1,middle,20)
hold on
scatter(middle_j,middle_i,10,'o','k','filled')
ylim([0 0.6])
xlim([0 0.7])
title('middle  pdf')
title('(e)')
xlabel('\eta_\perp')
ylabel('\eta')

subplot(2,3,6)
contour(nbin2,nbin1,deep,20)
hold on
scatter(deep_j,deep_i,10,'o','k','filled')
ylim([0 0.6])
xlim([0 0.7])
title('deep  pdf')
title('(f)')
xlabel('\eta_\perp')
ylabel('\eta')

print(hf,'-dpdf',['/net/server/homes/sep/myfusan/Report/149-Rockphy/Fig/data-model',num2str(lamba),'.pdf'])

i = i+1;

end
