clc;close all;
addpath('/net/server/homes/sep/myfusan/Report/149-Rockphy/Matlab/');

deps=0.001;
ddel=0.001;
nbin1=0:deps:0.6;
nbin2=-0.05:deps:0.2;

n1 = length(nbin1);
n2 = length(nbin2);

ic1 = (0.2-nbin1(1))/deps + 1;
ic2 = (0.1-nbin2(1))/ddel + 1;

data_shallow_pdf = zeros(n1,n2);
data_middle_pdf = zeros(n1,n2);
data_deep_pdf = zeros(n1,n2);

theta = -45/pi;
sigma_x = 50; 
sigma_y = 5000;
a = cos(theta)^2/2/sigma_x^2 + sin(theta)^2/2/sigma_y^2;
b = -sin(2*theta)/4/sigma_x^2 + sin(2*theta)/4/sigma_y^2 ;
c = sin(theta)^2/2/sigma_x^2 + cos(theta)^2/2/sigma_y^2;

for i=1:n1
    for j = 1:n2
        data_shallow_pdf(i,j) = exp( - (a*(i-ic1).^2 + 2*b*(i-ic1).*(j-ic2) + c*(j-ic2).^2));
    end
end

theta = -45/pi;
sigma_x = 70; 
sigma_y = 7000;
a = cos(theta)^2/2/sigma_x^2 + sin(theta)^2/2/sigma_y^2;
b = -sin(2*theta)/4/sigma_x^2 + sin(2*theta)/4/sigma_y^2 ;
c = sin(theta)^2/2/sigma_x^2 + cos(theta)^2/2/sigma_y^2;

for i=1:n1
    for j = 1:n2
        data_middle_pdf(i,j) = exp( - (a*(i-ic1).^2 + 2*b*(i-ic1).*(j-ic2) + c*(j-ic2).^2));
    end
end

theta = -45/pi;
sigma_x = 90; 
sigma_y = 9000;
a = cos(theta)^2/2/sigma_x^2 + sin(theta)^2/2/sigma_y^2;
b = -sin(2*theta)/4/sigma_x^2 + sin(2*theta)/4/sigma_y^2 ;
c = sin(theta)^2/2/sigma_x^2 + cos(theta)^2/2/sigma_y^2;

for i=1:n1
    for j = 1:n2
        data_deep_pdf(i,j) = exp( - (a*(i-ic1).^2 + 2*b*(i-ic1).*(j-ic2) + c*(j-ic2).^2));
    end
end

data_shallow_pdf = data_shallow_pdf ./ sum(sum(data_shallow_pdf));
data_middle_pdf = data_middle_pdf ./ sum(sum(data_middle_pdf));
data_deep_pdf = data_deep_pdf ./ sum(sum(data_deep_pdf));

% smfilt=fspecial('gaussian',100,1000);
% data_pdf=filter2(smfilt,data_pdf);
% data_pdf=filter2(smfilt,data_pdf);
% smfilt=fspecial('gaussian',50,1000);
% data_pdf=filter2(smfilt,data_pdf);
% data_pdf=filter2(smfilt,data_pdf);

hf = figure;
subplot(2,3,1);imagesc(nbin2,nbin1,data_shallow_pdf);axis xy;ylabel('\epsilon');xlabel('\delta')
subplot(2,3,2);imagesc(nbin2,nbin1,data_middle_pdf);axis xy;ylabel('\epsilon');xlabel('\delta')
subplot(2,3,3);imagesc(nbin2,nbin1,data_deep_pdf);axis xy;ylabel('\epsilon');xlabel('\delta')

deta=0.001;
dueta=0.001;
nbin1=0:deta:0.6;
nbin2=0:dueta:1;

n1 = length(nbin1);
n2 = length(nbin2);

ic1 = (0.2-nbin1(1))/deta + 1;
ic2 = (0.4-nbin2(1))/dueta + 1;

data_shallow_pdf = zeros(n1,n2);
data_middle_pdf = zeros(n1,n2);
data_deep_pdf = zeros(n1,n2);

theta = 1./180*pi;
sigma_x = 50; 
sigma_y = 5000;
a = cos(theta)^2/2/sigma_x^2 + sin(theta)^2/2/sigma_y^2;
b = -sin(2*theta)/4/sigma_x^2 + sin(2*theta)/4/sigma_y^2 ;
c = sin(theta)^2/2/sigma_x^2 + cos(theta)^2/2/sigma_y^2;

for i=1:n1
    for j = 1:n2
        data_shallow_pdf(i,j) = exp( - (a*(i-ic1).^2 + 2*b*(i-ic1).*(j-ic2) + c*(j-ic2).^2));
    end
end

theta = 1./180*pi;
sigma_x = 70; 
sigma_y = 7000;
a = cos(theta)^2/2/sigma_x^2 + sin(theta)^2/2/sigma_y^2;
b = -sin(2*theta)/4/sigma_x^2 + sin(2*theta)/4/sigma_y^2 ;
c = sin(theta)^2/2/sigma_x^2 + cos(theta)^2/2/sigma_y^2;

for i=1:n1
    for j = 1:n2
        data_middle_pdf(i,j) = exp( - (a*(i-ic1).^2 + 2*b*(i-ic1).*(j-ic2) + c*(j-ic2).^2));
    end
end

theta = 1./180*pi;
sigma_x = 90; 
sigma_y = 9000;
a = cos(theta)^2/2/sigma_x^2 + sin(theta)^2/2/sigma_y^2;
b = -sin(2*theta)/4/sigma_x^2 + sin(2*theta)/4/sigma_y^2 ;
c = sin(theta)^2/2/sigma_x^2 + cos(theta)^2/2/sigma_y^2;

for i=1:n1
    for j = 1:n2
        data_deep_pdf(i,j) = exp( - (a*(i-ic1).^2 + 2*b*(i-ic1).*(j-ic2) + c*(j-ic2).^2));
    end
end

data_shallow_pdf = data_shallow_pdf ./ sum(sum(data_shallow_pdf));
data_middle_pdf = data_middle_pdf ./ sum(sum(data_middle_pdf));
data_deep_pdf = data_deep_pdf ./ sum(sum(data_deep_pdf));

data_shallow_pdf = data_shallow_pdf(1:5:end,1:5:end);
data_middle_pdf = data_middle_pdf(1:5:end,1:5:end);
data_deep_pdf = data_deep_pdf(1:5:end,1:5:end);

subplot(2,3,4);imagesc(nbin2,nbin1,data_shallow_pdf);axis xy;ylabel('\eta');xlabel('\eta_\perp')
subplot(2,3,5);imagesc(nbin2,nbin1,data_middle_pdf);axis xy;ylabel('\eta');xlabel('\eta_\perp')
subplot(2,3,6);imagesc(nbin2,nbin1,data_deep_pdf);axis xy;ylabel('\eta');xlabel('\eta_\perp')

print(hf,'-dpdf','/net/server/homes/sep/myfusan/Report/149-Rockphy/Fig/data_dist.pdf')
save post.mat data_shallow_pdf data_middle_pdf data_deep_pdf
