clear;clc; close all
addpath('/net/server/homes/sep/myfusan/Report/149-Rockphy/Matlab/');

fid = fopen('/net/server/myfusan/rp149/rock/shalloweps.H@','r','s');
shalloweps = fread(fid, 4398000,'*float')*0.6;

fid = fopen('/net/server/myfusan/rp149/rock/middleeps.H@','r','s');
middleeps = fread(fid, 4398000,'*float')*0.6;

fid = fopen('/net/server/myfusan/rp149/rock/deepeps.H@','r','s');
deepeps = fread(fid, 4398000,'*float')*0.6;

fid = fopen('/net/server/myfusan/rp149/rock/shallowdel.H@','r','s');
shallowdel = fread(fid, 4398000,'*float')*0.6;

fid = fopen('/net/server/myfusan/rp149/rock/middledel.H@','r','s');
middledel = fread(fid, 4398000,'*float')*0.6;

fid = fopen('/net/server/myfusan/rp149/rock/deepdel.H@','r','s');
deepdel = fread(fid, 4398000,'*float')*0.6;

shalloweta  = (shalloweps -shallowdel) ./(1+2*shallowdel);
shallowueta = shalloweps + shallowdel;
shallowueta(shalloweta<0) = [];
shalloweta(shalloweta<0) = [];
shalloweta(shallowueta<0) = [];
shallowueta(shallowueta<0) = [];


middleeta  = (middleeps -middledel) ./(1+2*middledel);
middleueta = middleeps + middledel;
middleueta(middleeta<0) = [];
middleeta(middleeta<0) = [];
middleeta(middleueta<0) = [];
middleueta(middleueta<0) = [];

deepeta  = (deepeps -deepdel) ./(1+2*deepdel);
deepueta = deepeps + deepdel;
deepueta(deepeta<0) = [];
deepeta(deepeta<0) = [];
deepeta(deepueta<0) = [];
deepueta(deepueta<0) = [];



%% compute part
deta=0.005;
dueta=0.005;
nbin1=0:deta:0.6;
nbin2=0:dueta:1;
[shallow_pdf,shallow_nbin1,shallow_nbin2] = pdf2d([shalloweta, shallowueta],nbin1,nbin2);

%middledel(middleeta<0.15) = [];
%middleeta(middleeta<0.15) = [];
[middle_pdf,middle_nbin1,middle_nbin2] = pdf2d([middleeta, middleueta],nbin1,nbin2);

%deepueta(deepeta<0.001) = [];
%deepeta(deepeta<0.001) = [];
[deep_pdf,deep_nbin1,deep_nbin2] = pdf2d([deepeta, deepueta],nbin1,nbin2);


%% plot part
hf=figure(1);
subplot(2,3,4)
contour(shallow_nbin2,shallow_nbin1,shallow_pdf,20)
ylim([0 0.6])
xlim([0 1])
title('Shallow prior pdf')
title('(d)')
xlabel('\eta_\perp')
ylabel('\eta')


subplot(2,3,5)
contour(middle_nbin2,middle_nbin1,middle_pdf,20)
ylim([0 0.6])
xlim([0 1])
title('middle prior pdf')
title('(e)')
xlabel('\eta_\perp')
ylabel('\eta')

subplot(2,3,6)
contour(deep_nbin2,deep_nbin1,deep_pdf,20)
ylim([0 0.6])
xlim([0 1])
title('deep prior pdf')
title('(f)')
xlabel('\eta_\perp')
ylabel('\eta')

subplot(2,3,1)
imagesc(shallow_nbin2,shallow_nbin1,shallow_pdf)%,[0 1.36e-4]);
title('shallow prior pdf')
title('(a)')
axis xy
xlabel('\eta_\perp')
ylabel('\eta')

subplot(2,3,2)
imagesc(middle_nbin2,middle_nbin1,middle_pdf)%,[0 1.36e-4])
title('middle prior pdf')
title('(b)')
axis xy
xlabel('\eta_\perp')
ylabel('\eta')

subplot(2,3,3)
imagesc(deep_nbin2,deep_nbin1,deep_pdf)%,[0 1.36e-4])
title('deep prior pdf')
title('(c)')
axis xy
xlabel('\eta_\perp')
ylabel('\eta')
print(hf,'-dpdf',['/net/server/homes/sep/myfusan/Report/149-Rockphy/Fig/cube-model-prior.pdf'])
save prior.mat shallow_pdf middle_pdf deep_pdf

fclose all