clear;clc; close all
addpath('/net/server/homes/sep/myfusan/Research/RockPhy/Matlab/');
addpath('/net/server/homes/sep/myfusan/Research/RockPhy/Matlab/subroutine/');

psand  = 101;
pfluid = 31;

% stiffness tensor of clay 
% rho_clay = 2.4; vp_clay  = 3.075;
% vs_clay  = 1.5; eps_clay = 0.255;
% del_clay = 0.; gam_clay = 0.48;
rho_clay = 2.4; vp_clay  = 4.94;
vs_clay  = 2.6; eps_clay = 0;
del_clay = 0.; gam_clay = 0;
K_clay  = rho_clay*vp_clay*vp_clay; 
Mu_clay = rho_clay*vs_clay*vs_clay;
Lambda_clay = K_clay - 2*Mu_clay/3;
c11 = K_clay * (1+2*eps_clay); 
c33 = K_clay; 
c44 = Mu_clay;
c66 = Mu_clay * (1+2*gam_clay);
c12 = c11 - 2*c66;
c13 = K_clay * del_clay + K_clay - 2*Mu_clay;
C_clay=[c11,c12,c13,0,0,0;
    c12,c11,c13,0,0,0;
    c13,c13,c33,0,0,0;
     0, 0,  0,c44,0,0;
     0, 0,  0,0,c44,0;
     0, 0,  0,0,0,c66;];

% stiffness tensor of sand 
rho_sand = 2.65; vp_sand = 6.0; vs_sand=4.0;
K_sand  = rho_sand*vp_sand*vp_sand; 
Mu_sand = rho_sand*vs_sand*vs_sand;
Lambda_sand = K_sand - 2*Mu_sand/3;
c11 = Lambda_sand + 2*Mu_sand;
c44 = Mu_sand;
c12 = Lambda_sand;
C_sand=[c11,c12,c12,0,0,0;
    c12,c11,c12,0,0,0;
    c12,c12,c11,0,0,0;
     0, 0,  0,c44,0,0;
     0, 0,  0,0,c44,0;
     0, 0,  0,0,0,c44;];

[dc11,dc33,dc44,dc12,dc13,v1_frac,v2_frac]=dem_aniso(C_clay,C_sand,0.8,psand);

epsilon1 = (dc11-dc33)./(2*dc33);
delta1   = (dc13+dc44).^2 - (dc33-dc44).^2;
delta1   = delta1 ./ (2*dc33.*(dc33-dc44));

%% write out the modeling result
n1 = 101; o1 = 0; d1 = 1;

fid = fopen('test.sandyshale.eps0.H','w');
fprintf(fid,'n1=%d o1=%f d1=%f ',n1,o1,d1);
fprintf(fid,'label1=percent_sand\n');
fprintf(fid,'n2=1 o2=0 d2=1\n');
fprintf(fid,'n3=1 o3=0 d3=1\n');
fprintf(fid,'in=./test.sandyshale.eps0.H@');
fclose(fid);

fid = fopen('test.sandyshale.eps0.H@','w','s');
count = fwrite(fid, epsilon1,'real*4','s');
fclose(fid);

fid = fopen('test.sandyshale.del0.H','w');
fprintf(fid,'n1=%d o1=%f d1=%f ',n1,o1,d1);
fprintf(fid,'label1=percent_sand\n');
fprintf(fid,'n2=1 o2=0 d2=1\n');
fprintf(fid,'n3=1 o3=0 d3=1\n');
fprintf(fid,'in=./test.sandyshale.del0.H@');
fclose(fid);

fid = fopen('test.sandyshale.del0.H@','w','s');
count = fwrite(fid, delta1,'real*4','s');
fclose(fid);

